ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LibItsDenm__TestSystem::DenmPort Class Reference

`#include <DenmPort.hh>`

Inheritance diagram for LibItsDenm__TestSystem::DenmPort:

## Public Member Functions
| DenmPort (const char *par_port_name=NULL)
| ~DenmPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsDenm__TestSystem::DenmInd &, const Params &)

## Protected Member Functions
void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const DenmReq &send_par)

## Private Member Functions
void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes
Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## ◆ DenmPort()

LibItsDenm__TestSystem::DenmPort::DenmPort | ( | const char * | par_port_name = `NULL` | ) |

## ◆ ~DenmPort()

LibItsDenm__TestSystem::DenmPort::~DenmPort | ( |  | ) |

## Member Function Documentation

## ◆ Handle_Fd_Event_Error()

void LibItsDenm__TestSystem::DenmPort::Handle_Fd_Event_Error | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Readable()

void LibItsDenm__TestSystem::DenmPort::Handle_Fd_Event_Readable | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Writable()

void LibItsDenm__TestSystem::DenmPort::Handle_Fd_Event_Writable | ( | int | fd | ) |
| private

## ◆ outgoing_send()

void LibItsDenm__TestSystem::DenmPort::outgoing_send | ( | const DenmReq & | send_par | ) |
| protected

## ◆ receiveMsg()

void LibItsDenm__TestSystem::DenmPort::receiveMsg | ( | const LibItsDenm__TestSystem::DenmInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ set_parameter()

void LibItsDenm__TestSystem::DenmPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## ◆ user_map()

void LibItsDenm__TestSystem::DenmPort::user_map | ( | const char * | system_port | ) |
| protected

## ◆ user_start()

void LibItsDenm__TestSystem::DenmPort::user_start | ( |  | ) |
| protected

## ◆ user_stop()

void LibItsDenm__TestSystem::DenmPort::user_stop | ( |  | ) |
| protected

## ◆ user_unmap()

void LibItsDenm__TestSystem::DenmPort::user_unmap | ( | const char * | system_port | ) |
| protected

## Member Data Documentation

## ◆ _cfg_params

Params LibItsDenm__TestSystem::DenmPort::_cfg_params
| private

## ◆ _layer

layer* LibItsDenm__TestSystem::DenmPort::_layer
| private

## ◆ _layer_params

Params LibItsDenm__TestSystem::DenmPort::_layer_params
| private

## ◆ _time_key

std::string LibItsDenm__TestSystem::DenmPort::_time_key
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/DenmPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/DenmPort.cc